UHD 003.004.003-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | List of all members
uhd::range_t Class Reference

`#include <ranges.hpp>`

## Public Member Functions
| range_t (double value=0)
| range_t (double start, double stop, double step=0)
double | start (void) const
| Get the start value for this range. More...
double | stop (void) const
| Get the stop value for this range. More...
double | step (void) const
| Get the step value for this range. More...
const std::string | to_pp_string (void) const
| Convert this range to a printable string. More...

## Detailed Description

A range object describes a set of discrete values of the form: y = start + step*n, where n is an integer between 0 and (stop - start)/step

## Constructor & Destructor Documentation

uhd::range_t::range_t | ( | double | value = `0` | ) |

Create a range from a single value. The step size will be taken as zero.

Parameters

  value | the only possible value in this range

uhd::range_t::range_t | ( | double | start,
|  | double | stop,
|  | double | step = `0`
| ) |  |

Create a range from a full set of values. A step size of zero implies infinite precision.

Parameters

  start | the minimum value for this range
  stop | the maximum value for this range
  step | the step size for this range

## Member Function Documentation

double uhd::range_t::start | ( | void |  | ) | const

Get the start value for this range.

double uhd::range_t::step | ( | void |  | ) | const

Get the step value for this range.

double uhd::range_t::stop | ( | void |  | ) | const

Get the stop value for this range.

const std::string uhd::range_t::to_pp_string | ( | void |  | ) | const

Convert this range to a printable string.

The documentation for this class was generated from the following file:

- include/uhd/types/ranges.hpp